Comprehensive data protection for all workloads
Post Reply
Poweruser
Expert
Posts: 189
Liked: 8 times
Joined: Jul 25, 2018 4:12 pm
Full Name: Poweruser
Contact:

Installer Feature Request: SQL 2017

Post by Poweruser » Jul 25, 2018 5:27 pm

Veeam says you should install the latest SQL Express Server.
So i use 2017 instead of the old bundled one.

It would be nice if Veeam would do this job for you.
Means bundling always the newest Server possible.
Or showing an info during setup to help the user.
or let the user select the version.
all in all, it would be more nice if it would work automatically.
naming an instance... what name?
adding fixed ports for the instance..
addinf firewall rules for instance... if needed? or does veeam just need local access and everything else works over veeams services?
confusing...

P.Tide
Product Manager
Posts: 5265
Liked: 459 times
Joined: May 19, 2015 1:46 pm
Contact:

Re: Installer Feature Request: SQL 2017

Post by P.Tide » Jul 25, 2018 5:44 pm

Hi,
Veeam says you should install the latest SQL Express Server.
Would you point out where does Veeam say so? There is a page that contains system requirements and it doesn't say anything about "the latest". Veeam always requires only explicit versions of software that we have tested our products with.
naming an instance... what name?
adding fixed ports for the instance..
addinf firewall rules for instance...
All these things are already done automatically and generally do not need to be changed. would you elaborate on your request please?
addinf firewall rules for instance... if needed?
This one is also not clear. During installation, Veeam Backup & Replication automatically creates firewall rules for default ports to allow communication for the application components. Please provide more details.

Thank you

Poweruser
Expert
Posts: 189
Liked: 8 times
Joined: Jul 25, 2018 4:12 pm
Full Name: Poweruser
Contact:

Re: Installer Feature Request: SQL 2017

Post by Poweruser » Jul 25, 2018 5:54 pm

Firewall rules for SQL Instance..

Hard to figure out but found veeams "SAY":
https://bp.veeam.expert/architecture-ov ... n-database
Tip: Veeam Backup & Replication supports Microsoft SQL Server 2008 or higher. To leverage Microsoft SQL Server 2014 enhancements (cardinality estimator has proved to show significant improvements for large queries), it is highly recommended to update the database server to Microsoft SQL Server (Express) 2014 or higher.

Means your 2012 is not the best and you should uses higher versions!
thats why is ask..

P.Tide
Product Manager
Posts: 5265
Liked: 459 times
Joined: May 19, 2015 1:46 pm
Contact:

Re: Installer Feature Request: SQL 2017

Post by P.Tide » Jul 25, 2018 6:35 pm

System requirements page is the primary source of technical information, so please refer to it.

Regarding SQL ports requirements - please see the first row of the "Other Servers" section here.

Thanks

Poweruser
Expert
Posts: 189
Liked: 8 times
Joined: Jul 25, 2018 4:12 pm
Full Name: Poweruser
Contact:

Re: Installer Feature Request: SQL 2017

Post by Poweruser » Jul 25, 2018 6:42 pm

Okay, now i use express 2017 with named instance VEEAMSQL2017 and changed it to default sql port.
Should i go back to 2012 to make auto updater work better?

Is there a manual how to change from one sql version to another one?
what happens if the SQL database is deleted and i just got my repository files?
i think the SQL database needs to be backuped too?

P.Tide
Product Manager
Posts: 5265
Liked: 459 times
Joined: May 19, 2015 1:46 pm
Contact:

Re: Installer Feature Request: SQL 2017

Post by P.Tide » Jul 25, 2018 6:52 pm

Should i go back to 2012 to make auto updater work better?
What auto updater are you referring to?
Is there a manual how to change from one sql version to another one?
Yes, there is one.
What happens if the SQL database is deleted and i just got my repository files?
You can quickly recreate your VBR server settings using configuration database backup.
I think the SQL database needs to be backuped too?
Actually it is not really required. However, there is a guide explaining how to do that if you want to do so.

Thanks

Poweruser
Expert
Posts: 189
Liked: 8 times
Joined: Jul 25, 2018 4:12 pm
Full Name: Poweruser
Contact:

Re: Installer Feature Request: SQL 2017

Post by Poweruser » Jul 25, 2018 8:42 pm

Okay it is fine, that i can use the Configuration Backup.
So after daily autobackup i need to Backup my Repository Backup to tape too using File2Tape.

Poweruser
Expert
Posts: 189
Liked: 8 times
Joined: Jul 25, 2018 4:12 pm
Full Name: Poweruser
Contact:

Re: Installer Feature Request: SQL 2017

Post by Poweruser » Jul 31, 2018 11:11 pm

anyway you should provide sql 2017 with veeam or add an user selection in installer. makes it more handy.
and you should add an checkbox where you can tell the backup to tape job to backup the repository metadata too.
instead of running 2 jobs.

P.Tide
Product Manager
Posts: 5265
Liked: 459 times
Joined: May 19, 2015 1:46 pm
Contact:

Re: Installer Feature Request: SQL 2017

Post by P.Tide » Aug 01, 2018 11:42 am

<...>tell the backup to tape job to backup the repository metadata too.
I'm not sure that I follow you on that one. What do you call "repository metadata"? Pleas elaborate.

Regarding your request to copy configuration backup - please leave a feature request in the existing thread, please.

Thanks

Poweruser
Expert
Posts: 189
Liked: 8 times
Joined: Jul 25, 2018 4:12 pm
Full Name: Poweruser
Contact:

Re: Installer Feature Request: SQL 2017

Post by Poweruser » Aug 01, 2018 10:03 pm

repository metadata is veeam sql configuration
thread: i posted there.
thanks!

Post Reply

Who is online

Users browsing this forum: Google [Bot] and 31 guests